﻿local global = require "eatglobal_v2_29"
local modutils = global.modutils

local modId = "jay_vwWagen_1"
local modData = {
	general = {
		hideFiles = {
			"vehicle/waggon/vwWagen/vwWagen_menu.mdl",
		},
	},
	userSelection = {
		files = {
			{
				key = "jay_vwFakes",
				name = _("Fake?"),
				default = false,
				values = {"yes", "no"},
				modelFiles = {				
					"vehicle/waggon/vwWagen/vwWagen_fake.mdl",	
				},       
			},         	
		},
	},
}
local myModUtils = modutils.userSettings.create(modId, modData)

local parameters = myModUtils.myParams.params											-- ergänzt den neuen Parameter


function data()
return {
info = {
  minorVersion = 1,
  severityAdd = "NONE",
  severityRemove = "WARNING",
  name = _("mod_name"),
  description = _("mod_desc"),
  authors = {
    {
		name = 'jay_',
		role = 'CREATOR',
		text = 'Modell',
		tfnetId = 28954,
    },   
		    {
		        name = "ModWerkstatt",
		        role = "CREATOR",
		    },  
  },
  tags = {"vehicle", "europe", "goods", "wagon", "germany", "volkswagen" },
		visible = true,
		modid = "jay_vwWagen_1",
		params = parameters
	},

		runFn = function (settings, modParams)
		local params = modParams[getCurrentModId()]
		if params then
			myModUtils.execute(params)
			

		addModifier( "loadModel", metadataHandler )
	end
	end
}
end
